diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 804c802..d74c207 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -431,6 +431,9 @@ Capriotti, O. and Carlisle, D.
 Capriotti, Olga, Cohen, Arjeh M., Cuypers, Hans, and Sterk, Hans
 ``OpenMath Technology for Interactive Mathematical Documents''
 \verb|www.win.tue.nl/~hansc/lisbon.pdf|
+\bibitem[Che86]{Che86}
+G.W. Cherry "Integration in Finite Terms with Special Functions: The Logarithmic Integral"
+SIAM J. Comput. Vol 15 No 1 February 1986
 \bibitem[Chu89]{Chu89}
 Chudnovsky, D.V. and Chudnovsky, G.V.
 ``The computation of classical constants''
diff --git a/changelog b/changelog
index 125f42d..e3a3fe8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130106 tpd books/bookvolbib add Che86
+20130106 tpd src/input/Makefile add cherry.input
+20130106 tpd src/input/cherry.input added
 20120815 tpd src/axiom-website/patches.html 20120815.01.tpd.patch
 20120815 tpd src/axiom-website/documentation.html
 20120615 tpd src/axiom-website/patches.html 20120615.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index dfd1044..557209b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3943,5 +3943,7 @@ src/axiom-website/download.html add binaries<br/>
 Makefile.pamphlet add mint stanza<br/>
 <a href="patches/20120815.01.tpd.patch">20120815.01.tpd.patch</a>
 src/axiom-website/documentation.html
+<a href="patches/20130105.01.tpd.patch">20130105.01.tpd.patch</a>
+src/input/cherry.input added
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index a64803e..49f9a1a 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -299,6 +299,7 @@ REGRESSTESTS= ackermann.regress \
     cachedf.regress   calcprob.regress  \
     calculus2.regress calculus.regress cardinal.regress card.regress \
     carten.regress    cclass.regress   char.regress     ch.regress \
+    cherry.regress    \
     chtheorem.regress classtalk.regress clements.regress \
     clifford.regress  clif.regress     cmds.regress \
     coercels.regress  collect.regress  cohen.regress \
@@ -645,7 +646,8 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/calcprob.input ${OUT}/calculus.input \
        ${OUT}/cardinal.input ${OUT}/card.input       ${OUT}/carten.input \
        ${OUT}/cclass.input   ${OUT}/cdraw.input      ${OUT}/char.input \
-       ${OUT}/ch.input       ${OUT}/chtheorem.input  ${OUT}/classtalk.input \
+       ${OUT}/ch.input       ${OUT}/cherry.input \
+       ${OUT}/chtheorem.input  ${OUT}/classtalk.input \
        ${OUT}/clifford.input ${OUT}/clements.input \
        ${OUT}/clif.input       ${OUT}/cmds.input \
        ${OUT}/coercels.input ${OUT}/collect.input    ${OUT}/color.input \
@@ -934,6 +936,7 @@ DOCFILES= \
   ${DOC}/card.input.dvi        ${DOC}/carten.input.dvi     \
   ${DOC}/cclass.input.dvi      ${DOC}/cdraw.input.dvi      \
   ${DOC}/char.input.dvi        ${DOC}/ch.input.dvi         \
+  ${DOC}/cherry.input.dvi      \
   ${DOC}/chtheorem.input.dvi   ${DOC}/classtalk.input.dvi  \
   ${DOC}/clifford.input.dvi    ${DOC}/clements.input.dvi   \
   ${DOC}/clif.input.dvi        ${DOC}/cmds.input.dvi       \
diff --git a/src/input/cherry.input.pamphlet b/src/input/cherry.input.pamphlet
new file mode 100644
index 0000000..9798414
--- /dev/null
+++ b/src/input/cherry.input.pamphlet
@@ -0,0 +1,827 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input cherry.input}
+\author{G. W. Cherry}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm cherry.output
+)spool cherry.output
+)set message test on
+)set message auto off
+)clear all
+
+\end{chunk} 
+Examples taken from:
+"INTEGRATION IN FINITE TERMS WITH SPECIAL FUNCTIONS: THE LOGARITHMIC INTEGRAL"
+written by G. W. CHERRY
+published in SIAM J. COMPUT. Vol. 15, No. 1, February 1986
+ 
+Page 1 Example 1.1
+\begin{chunk}{*}
+
+--S 1 of 61
+i := x/log(x)^2
+--R 
+--R
+--R           x
+--R   (1)  -------
+--R              2
+--R        log(x)
+--R                                                    Type: Expression(Integer)
+--E 1
+
+--S 2 of 61
+I := integrate(i, x)
+--R 
+--R
+--R                              2
+--R        2log(x)Ei(2log(x)) - x
+--R   (2)  -----------------------
+--R                 log(x)
+--R                                         Type: Union(Expression(Integer),...)
+--E 2
+
+--S 3 of 61
+Ic := 2*li(x^2) - x^2/log(x)
+--R 
+--R
+--R             2           2
+--R        2li(x )log(x) - x
+--R   (3)  ------------------
+--R              log(x)
+--R                                                    Type: Expression(Integer)
+--E 3
+
+--S 4 of 61
+D(Ic, x)
+--R 
+--R
+--R                              2             2
+--R        (- 2x log(x) + x)log(x ) + 4x log(x)
+--R   (4)  -------------------------------------
+--R                          2     2
+--R                    log(x) log(x )
+--R                                                    Type: Expression(Integer)
+--E 4
+\end{chunk} 
+Page 16, Example 5.1
+\begin{chunk}{*}
+
+--S 5 of 61
+i := x^3 / log(x^2-1)
+--R 
+--R
+--R              3
+--R             x
+--R   (5)  -----------
+--R             2
+--R        log(x  - 1)
+--R                                                    Type: Expression(Integer)
+--E 5
+
+--S 6 of 61
+I := integrate(i, x)
+--R 
+--R
+--R           x        3
+--R         ++       %I
+--R   (6)   |   ------------ d%I
+--R        ++         2
+--R             log(%I  - 1)
+--R                                         Type: Union(Expression(Integer),...)
+--E 6
+
+--S 7 of 61
+Ic := li(x^4-2*x^2+1)/2 + li(x^2-1)/2
+--R 
+--R
+--R            4     2            2
+--R        li(x  - 2x  + 1) + li(x  - 1)
+--R   (7)  -----------------------------
+--R                      2
+--R                                                    Type: Expression(Integer)
+--E 7
+
+--S 8 of 61
+D(Ic, x)
+--R 
+--R
+--R               4     2           3           2
+--R        x log(x  - 2x  + 1) + (2x  - 2x)log(x  - 1)
+--R   (8)  -------------------------------------------
+--R                     2          4     2
+--R                log(x  - 1)log(x  - 2x  + 1)
+--R                                                    Type: Expression(Integer)
+--E 8
+\end{chunk}
+Example 5.2
+\begin{chunk}{*}
+
+--S 9 of 61
+i := x^2 / log(x^2-1)
+--R 
+--R
+--R              2
+--R             x
+--R   (9)  -----------
+--R             2
+--R        log(x  - 1)
+--R                                                    Type: Expression(Integer)
+--E 9
+
+--S 10 of 61
+I := integrate(i, x)
+--R 
+--R
+--R            x        2
+--R          ++       %I
+--R   (10)   |   ------------ d%I
+--R         ++         2
+--R              log(%I  - 1)
+--R                                         Type: Union(Expression(Integer),...)
+--E 10
+\end{chunk}
+No closed form
+
+Page 17, Example 5.3
+\begin{chunk}{*}
+
+--S 11 of 61
+i := (2*x+3)/(3*log(x)+2*x) * exp(log(x)/2+x) + 1/(x+1)*(exp(log(x)/2+x))^2
+--R 
+--R
+--R                          log(x) + 2x 2                   log(x) + 2x
+--R                          -----------                     -----------
+--R                               2             2                 2
+--R         (3log(x) + 2x)(%e           )  + (2x  + 5x + 3)%e
+--R   (11)  ------------------------------------------------------------
+--R                                              2
+--R                           (3x + 3)log(x) + 2x  + 2x
+--R                                                    Type: Expression(Integer)
+--E 11
+
+--S 12 of 61
+I := integrate(i, x)
+--R 
+--R
+--R   (12)
+--R   INTSIGN
+--R  ,
+--R      x
+--R  ,
+--R                         log(%I) + 2%I 2                     log(%I) + 2%I
+--R                         -------------                       -------------
+--R                               2               2                   2
+--R      (3log(%I) + 2%I)(%e             )  + (2%I  + 5%I + 3)%e
+--R      -------------------------------------------------------------------- d%I
+--R                                                2
+--R                          (3%I + 3)log(%I) + 2%I  + 2%I
+--R                                         Type: Union(Expression(Integer),...)
+--E 12
+\end{chunk}
+Example 5.3a
+\begin{chunk}{*}
+
+--S 13 of 61
+i := (2*x+3)/(3*log(x)+2*x) * exp(log(x)/2+x)
+--R 
+--R
+--R                   log(x) + 2x
+--R                   -----------
+--R                        2
+--R         (2x + 3)%e
+--R   (13)  ---------------------
+--R              3log(x) + 2x
+--R                                                    Type: Expression(Integer)
+--E 13
+
+--S 14 of 61
+I := integrate(i, x)
+--R 
+--R
+--R                         log(%I) + 2%I
+--R                         -------------
+--R            x                  2
+--R          ++  (2%I + 3)%e
+--R   (14)   |   ------------------------ d%I
+--R         ++        3log(%I) + 2%I
+--R                                         Type: Union(Expression(Integer),...)
+--E 14
+
+--S 15 of 61
+Ic := li(x*exp(log(x)/2+x))
+--R 
+--R
+--R                log(x) + 2x
+--R                -----------
+--R                     2
+--R   (15)  li(x %e           )
+--R                                                    Type: Expression(Integer)
+--E 15
+
+--S 16 of 61
+D(Ic, x)
+--R 
+--R
+--R                   log(x) + 2x
+--R                   -----------
+--R                        2
+--R         (2x + 3)%e
+--R   (16)  ---------------------
+--R                  log(x) + 2x
+--R                  -----------
+--R                       2
+--R         2log(x %e           )
+--R                                                    Type: Expression(Integer)
+--E 16
+\end{chunk}
+Example 5.3b
+\begin{chunk}{*}
+
+--S 17 of 61
+i := 1/(x+1)*(exp(log(x)/2+x))^2
+--R 
+--R
+--R            log(x) + 2x 2
+--R            -----------
+--R                 2
+--R         (%e           )
+--R   (17)  ----------------
+--R               x + 1
+--R                                                    Type: Expression(Integer)
+--E 17
+
+--S 18 of 61
+I := integrate(i, x)
+--R 
+--R
+--R                 log(%I) + 2%I 2
+--R                 -------------
+--R            x          2
+--R          ++  (%e             )
+--R   (18)   |   ------------------ d%I
+--R         ++         %I + 1
+--R                                         Type: Union(Expression(Integer),...)
+--E 18
+
+--S 19 of 61
+i := x/(x+1)*exp(2*x)
+--R 
+--R
+--R             2x
+--R         x %e
+--R   (19)  ------
+--R          x + 1
+--R                                                    Type: Expression(Integer)
+--E 19
+
+--S 20 of 61
+I := integrate(i, x)
+--R 
+--R
+--R            x      2%I
+--R          ++  %I %e
+--R   (20)   |   -------- d%I
+--R         ++    %I + 1
+--R                                         Type: Union(Expression(Integer),...)
+--E 20
+
+--S 21 of 61
+Ic := exp(2*x)/2 - exp(-2)*li(exp(2*x+2))
+--R 
+--R
+--R           2  2x
+--R         %e %e   - 2Ei(2x + 2)
+--R   (21)  ---------------------
+--R                     2
+--R                  2%e
+--R                                                    Type: Expression(Integer)
+--E 21
+
+--S 22 of 61
+D(Ic, x)
+--R 
+--R
+--R             2x + 2            2  2x
+--R         - %e       + (x + 1)%e %e
+--R   (22)  ---------------------------
+--R                           2
+--R                  (x + 1)%e
+--R                                                    Type: Expression(Integer)
+--E 22
+\end{chunk}
+Page 18, Example 5.4
+\begin{chunk}{*}
+
+--S 23 of 61
+i := ((2*x^3-x^2-6*x)/(x^2+3*x+2) + (2*x-3)/(log(x)+1)) * exp(x*log(x)+x)
+--R 
+--R
+--R             3    2                 3     2             x log(x) + x
+--R         ((2x  - x  - 6x)log(x) + 4x  + 2x  - 11x - 6)%e
+--R   (23)  -----------------------------------------------------------
+--R                        2                    2
+--R                      (x  + 3x + 2)log(x) + x  + 3x + 2
+--R                                                    Type: Expression(Integer)
+--E 23
+
+--S 24 of 61
+I := integrate(i, x)
+--R 
+--R
+--R   (24)
+--R   INTSIGN
+--R  ,
+--R      x
+--R  ,
+--R           3     2                    3      2              %I log(%I) + %I
+--R      ((2%I  - %I  - 6%I)log(%I) + 4%I  + 2%I  - 11%I - 6)%e
+--R      --------------------------------------------------------------------- d%I
+--R                         2                       2
+--R                      (%I  + 3%I + 2)log(%I) + %I  + 3%I + 2
+--R                                         Type: Union(Expression(Integer),...)
+--E 24
+
+--S 25 of 61
+Ic := -3/exp(1)*li(exp(x*log(x)+x+log(x)+1)) + 2/exp(2)*li(exp(x*log(x)+x+2*log(x)+2))
+--R 
+--R
+--R                                            2
+--R         2%e Ei((x + 2)log(x) + x + 2) - 3%e Ei((x + 1)log(x) + x + 1)
+--R   (25)  -------------------------------------------------------------
+--R                                          2
+--R                                     %e %e
+--R                                                    Type: Expression(Integer)
+--E 25
+
+--S 26 of 61
+D(Ic, x)
+--R 
+--R
+--R   (26)
+--R           2                     2               (x + 2)log(x) + x + 2
+--R       ((2x  + 2x)%e log(x) + (4x  + 8x + 4)%e)%e
+--R     + 
+--R             2        2              2             2   (x + 1)log(x) + x + 1
+--R       ((- 3x  - 6x)%e log(x) + (- 6x  - 15x - 6)%e )%e
+--R  /
+--R       3     2           2           3     2           2
+--R     (x  + 3x  + 2x)%e %e log(x) + (x  + 3x  + 2x)%e %e
+--R                                                    Type: Expression(Integer)
+--E 26
+\end{chunk}
+Page 19, Example 6
+\begin{chunk}{*}
+
+--S 27 of 61
+i := cos(x)^2 / x^3
+--R 
+--R
+--R               2
+--R         cos(x)
+--R   (27)  -------
+--R             3
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 27
+
+--S 28 of 61
+I := integrate(i, x)
+--R 
+--R
+--R            x        2
+--R          ++  cos(%I)
+--R   (28)   |   -------- d%I
+--R         ++        3
+--R                 %I
+--R                                         Type: Union(Expression(Integer),...)
+--E 28
+
+--S 29 of 61
+Ic := -Ci(2*x) + sin(2*x)/(2*x) - cos(2*x)/(4*x^2) - 1/(4*x^2)
+--R 
+--R
+--R                                  2
+--R         2x sin(2x) - cos(2x) - 4x Ci(2x) - 1
+--R   (29)  ------------------------------------
+--R                            2
+--R                          4x
+--R                                                    Type: Expression(Integer)
+--E 29
+
+--S 30 of 61
+D(Ic, x)
+--R 
+--R
+--R         cos(2x) + 1
+--R   (30)  -----------
+--R               3
+--R             2x
+--R                                                    Type: Expression(Integer)
+--E 30
+\end{chunk}
+Appendix, Example d1 (same as 1.1)
+\begin{chunk}{*}
+
+--S 31 of 61
+i := x/log(x)^2
+--R 
+--R
+--R            x
+--R   (31)  -------
+--R               2
+--R         log(x)
+--R                                                    Type: Expression(Integer)
+--E 31
+
+--S 32 of 61
+I := integrate(i, x)
+--R 
+--R
+--R                               2
+--R         2log(x)Ei(2log(x)) - x
+--R   (32)  -----------------------
+--R                  log(x)
+--R                                         Type: Union(Expression(Integer),...)
+--E 32
+\end{chunk}
+Example d2
+\begin{chunk}{*}
+
+--S 33 of 61
+i := 1/(log(x)+3)
+--R 
+--R
+--R              1
+--R   (33)  ----------
+--R         log(x) + 3
+--R                                                    Type: Expression(Integer)
+--E 33
+
+--S 34 of 61
+I := integrate(i, x)
+--R 
+--R
+--R            x
+--R          ++       1
+--R   (34)   |   ----------- d%I
+--R         ++   log(%I) + 3
+--R                                         Type: Union(Expression(Integer),...)
+--E 34
+
+--S 35 of 61
+Ic := exp(-3)*li(exp(3)*x)
+--R 
+--R
+--R                3
+--R         li(x %e )
+--R   (35)  ---------
+--R              3
+--R            %e
+--R                                                    Type: Expression(Integer)
+--E 35
+
+--S 36 of 61
+D(Ic, x)
+--R 
+--R
+--R              1
+--R   (36)  ----------
+--R                 3
+--R         log(x %e )
+--R                                                    Type: Expression(Integer)
+--E 36
+\end{chunk}
+Example d3
+\begin{chunk}{*}
+
+--S 37 of 61
+i := x^2 / log(x+1)
+--R 
+--R
+--R              2
+--R             x
+--R   (37)  ----------
+--R         log(x + 1)
+--R                                                    Type: Expression(Integer)
+--E 37
+
+--S 38 of 61
+I := integrate(i, x)
+--R 
+--R
+--R            x       2
+--R          ++      %I
+--R   (38)   |   ----------- d%I
+--R         ++   log(%I + 1)
+--R                                         Type: Union(Expression(Integer),...)
+--E 38
+
+--S 39 of 61
+Ic := li(x^3+3*x^2+3*x+1) - 2*li(x^2+2*x+1) + li(x+1)
+--R 
+--R
+--R             3     2                  2
+--R   (39)  li(x  + 3x  + 3x + 1) - 2li(x  + 2x + 1) + li(x + 1)
+--R                                                    Type: Expression(Integer)
+--E 39
+
+--S 40 of 61
+D(Ic, x)
+--R 
+--R
+--R   (40)
+--R             2                                       3     2
+--R       (log(x  + 2x + 1) + (- 4x - 4)log(x + 1))log(x  + 3x  + 3x + 1)
+--R     + 
+--R          2                         2
+--R       (3x  + 6x + 3)log(x + 1)log(x  + 2x + 1)
+--R  /
+--R                    2               3     2
+--R     log(x + 1)log(x  + 2x + 1)log(x  + 3x  + 3x + 1)
+--R                                                    Type: Expression(Integer)
+--E 40
+\end{chunk}
+Example d4
+\begin{chunk}{*}
+
+--S 41 of 61
+i := (log(x)^2+3)/(log(x)^2+3*log(x)+2)
+--R 
+--R
+--R                    2
+--R              log(x)  + 3
+--R   (41)  ---------------------
+--R               2
+--R         log(x)  + 3log(x) + 2
+--R                                                    Type: Expression(Integer)
+--E 41
+
+--S 42 of 61
+I := integrate(i, x)
+--R 
+--R
+--R            x              2
+--R          ++        log(%I)  + 3
+--R   (42)   |   ----------------------- d%I
+--R         ++          2
+--R              log(%I)  + 3log(%I) + 2
+--R                                         Type: Union(Expression(Integer),...)
+--E 42
+
+--S 43 of 61
+Ic := -7*exp(-2)*li(exp(2)*x)+4*exp(-1)*li(exp(1)*x)+x
+--R 
+--R
+--R                      2       2                  2
+--R         - 7%e li(x %e ) + 4%e li(x %e) + x %e %e
+--R   (43)  -----------------------------------------
+--R                                2
+--R                           %e %e
+--R                                                    Type: Expression(Integer)
+--E 43
+
+--S 44 of 61
+D(Ic, x)
+--R 
+--R
+--R                                2
+--R         (log(x %e) + 4)log(x %e ) - 7log(x %e)
+--R   (44)  --------------------------------------
+--R                                    2
+--R                   log(x %e)log(x %e )
+--R                                                    Type: Expression(Integer)
+--E 44
+\end{chunk}
+Example d5, d6, d7
+\begin{chunk}{*}
+
+--S 45 of 61
+I := li(x*exp(x)/log(x))
+--R 
+--R
+--R                 x
+--R             x %e
+--R   (45)  li(------)
+--R            log(x)
+--R                                                    Type: Expression(Integer)
+--E 45
+
+--S 46 of 61
+i := D(I, x)
+--R 
+--R
+--R                  x           x
+--R         (x + 1)%e log(x) - %e
+--R   (46)  ----------------------
+--R                           x
+--R                 2     x %e
+--R           log(x) log(------)
+--R                      log(x)
+--R                                                    Type: Expression(Integer)
+--E 46
+
+--S 47 of 61
+I := integrate(i, x)
+--R 
+--R
+--R                 x
+--R             x %e
+--R   (47)  li(------)
+--R            log(x)
+--R                                         Type: Union(Expression(Integer),...)
+--E 47
+\end{chunk}
+Example d8
+\begin{chunk}{*}
+
+--S 48 of 61
+i := exp(x)/(x+1)^2
+--R 
+--R
+--R               x
+--R             %e
+--R   (48)  -----------
+--R          2
+--R         x  + 2x + 1
+--R                                                    Type: Expression(Integer)
+--E 48
+
+--S 49 of 61
+I := integrate(i, x)
+--R 
+--R
+--R            x        %I
+--R          ++       %e
+--R   (49)   |   ------------- d%I
+--R         ++     2
+--R              %I  + 2%I + 1
+--R                                         Type: Union(Expression(Integer),...)
+--E 49
+
+--S 50 of 61
+Ic := exp(-1)*Ei(x+1) - exp(x)/(x+1)
+--R 
+--R
+--R                x
+--R         - %e %e  + (x + 1)Ei(x + 1)
+--R   (50)  ---------------------------
+--R                  (x + 1)%e
+--R                                                    Type: Expression(Integer)
+--E 50
+
+--S 51 of 61
+D(Ic, x)
+--R 
+--R
+--R                  x + 1          x
+--R         (x + 1)%e      - x %e %e
+--R   (51)  -------------------------
+--R                2
+--R              (x  + 2x + 1)%e
+--R                                                    Type: Expression(Integer)
+--E 51
+\end{chunk}
+Example d9
+\begin{chunk}{*}
+
+--S 52 of 61
+i := sin(x)/x
+--R 
+--R
+--R         sin(x)
+--R   (52)  ------
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 52
+
+--S 53 of 61
+I := integrate(i, x)
+--R 
+--R
+--R   (53)  Si(x)
+--R                                         Type: Union(Expression(Integer),...)
+--E 53
+\end{chunk}
+Example d10 (same as 6)
+\begin{chunk}{*}
+
+--S 54 of 61
+i := cos(x)^2/x^3
+--R 
+--R
+--R               2
+--R         cos(x)
+--R   (54)  -------
+--R             3
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 54
+
+--S 55 of 61
+I := integrate(i, x)
+--R 
+--R
+--R            x        2
+--R          ++  cos(%I)
+--R   (55)   |   -------- d%I
+--R         ++        3
+--R                 %I
+--R                                         Type: Union(Expression(Integer),...)
+--E 55
+\end{chunk}
+Example d11
+\begin{chunk}{*}
+
+--S 56 of 61
+i := (x^2+3)*exp(x)/(x^2+3*x+2)
+--R 
+--R
+--R           2       x
+--R         (x  + 3)%e
+--R   (56)  -----------
+--R          2
+--R         x  + 3x + 2
+--R                                                    Type: Expression(Integer)
+--E 56
+
+--S 57 of 61
+I := integrate(i, x)
+--R 
+--R
+--R            x    2       %I
+--R          ++  (%I  + 3)%e
+--R   (57)   |   ------------- d%I
+--R         ++     2
+--R              %I  + 3%I + 2
+--R                                         Type: Union(Expression(Integer),...)
+--E 57
+
+--S 58 of 61
+Ic := -7*exp(-2)*Ei(x+2) + 4*exp(-1)*Ei(x+1) + exp(x)
+--R 
+--R
+--R              2  x                      2
+--R         %e %e %e  - 7%e Ei(x + 2) + 4%e Ei(x + 1)
+--R   (58)  -----------------------------------------
+--R                                2
+--R                           %e %e
+--R                                                    Type: Expression(Integer)
+--E 58
+
+--S 59 of 61
+D(Ic, x)
+--R 
+--R
+--R                        x + 2             2  x + 1     2               2  x
+--R         (- 7x - 7)%e %e      + (4x + 8)%e %e      + (x  + 3x + 2)%e %e %e
+--R   (59)  ------------------------------------------------------------------
+--R                                   2               2
+--R                                 (x  + 3x + 2)%e %e
+--R                                                    Type: Expression(Integer)
+--E 59
+\end{chunk}
+Example d12
+\begin{chunk}{*}
+
+--S 60 of 61
+i := (x^2+1)*exp(x)/(x^2+x+1)
+--R 
+--R
+--R           2       x
+--R         (x  + 1)%e
+--R   (60)  -----------
+--R           2
+--R          x  + x + 1
+--R                                                    Type: Expression(Integer)
+--E 60
+
+--S 61 of 61
+I := integrate(i, x)
+--R 
+--R
+--R            x    2       %I
+--R          ++  (%I  + 1)%e
+--R   (61)   |   ------------- d%I
+--R         ++      2
+--R               %I  + %I + 1
+--R                                         Type: Union(Expression(Integer),...)
+--E 61
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
+
